Subject: [Sip] Re: Question on sip-outbound-10

From: Rohan Mahy <[email-masked]>
Date: Sat, 1 Dec 2007 11:40:54 -0800

Hi John,

I believe outbound-11 addresses this concern.  The UA is now allowed  
to request flow token handling on a REGISTER or any dialog-forming  
request.

thanks,
-rohan

On Aug 20, 2007, at 1:28 AM, Elwell, John wrote:
> In section 4.3 "Sending requests" it states:
> "The UA performs normal DNS resolution on the next hop URI (as
>    described in RFC 3263 [4]) to find a protocol, IP address, and  
> port.
>    For protocols that don't use TLS, if the UA has an existing flow to
>    this IP address, and port with the correct protocol, then the UA  
> MUST
>    use the existing connection.  For TLS protocols, there MUST also  
> be a
>    match between the host production in the next hop and one of the  
> URIs
>    contained in the subjectAltName in the peer certificate.  If the UA
>    cannot use one of the existing flows, then it SHOULD form a new  
> flow
>    by sending a datagram or opening a new connection to the next  
> hop, as
>    appropriate for the transport protocol."
>
> This seems to imply that the UA simply sends the request on a new  
> flow,
> yet there are no proxy procedures defined for receiving a non-register
> request on a new flow. So perhaps what is intended is that UA should
> register again using the new flow, and then send the request on the  
> new
> flow. Whatever the intention, it seems some clarification is required.
>
> John

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip